| EM datagrams on *.kmall format Reg.no. 410224 rev B

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
EMdgmMRZ_txSectorInfo_def Struct Reference

#MRZ - sector information. More...

`#include <EMdgmFormat.h>`

## Data Fields
uint8_t | txSectorNumb
uint8_t | txArrNumber
uint8_t | txSubArray
uint8_t | padding0
float | sectorTransmitDelay_sec
float | tiltAngleReTx_deg
float | txNominalSourceLevel_dB
float | txFocusRange_m
float | centreFreq_Hz
float | signalBandWidth_Hz
float | totalSignalLength_sec
uint8_t | pulseShading
uint8_t | signalWaveForm
uint16_t | padding1

## Detailed Description

#MRZ - sector information.

Information specific to each transmitting sector. sectorInfo is repeated numTxSectors (Ntx)- times in datagram.

## Field Documentation

uint8_t txSectorNumb

Tx sector index number, used in the sounding section. Starts at 0.

uint8_t txArrNumber

TX arry number. Single Tx, txArrNumber = 0.

uint8_t txSubArray

Default = 0. E.g. for EM2040, the transmitted pulse consists of three sectors, each transmitted from separate txSubArrays. Orientation and numbers are relative the array coordinate system. Sub array installation offsets can be found in the installation datagram, #IIP.
0 = Port subarray
1 = middle subarray
2 = starboard subarray

uint8_t padding0

Byte alignment.

float sectorTransmitDelay_sec

Transmit delay of the current sector/subarray. Delay is the time from the midpoint of the current transmission to midpoint of the first transmitted pulse of the ping, i.e. relative to the time used in the datagram header.

float tiltAngleReTx_deg

Along ship steering angle of the TX beam (main lobe of transmitted pulse), angle referred to transducer array coordinate system. Unit degree. See Coordinate systems 'Coordinate systems'

float txNominalSourceLevel_dB

Unit dB re 1 microPascal.

float txFocusRange_m

0 = no focusing applied.

float centreFreq_Hz

Centre frequency. Unit hertz.

float signalBandWidth_Hz

FM mode: effective bandwidth
CW mode: 1/(effective tx pulse length)

float totalSignalLength_sec

Also called pulse length. Unit second.

uint8_t pulseShading

Transmit pulse is shaded in time (tapering). Amplitude shading in %. cos2- function used for shading the tx pulse in time.

uint8_t signalWaveForm

Transmit signal wave form.
0 = CW
1 = FM upsweep
2 = FM downsweep.

uint16_t padding1

Byte alignment.

The documentation for this struct was generated from the following file:

- EMdgmFormat.h